Jump to:

23450 Posts in 18899 Topics by 2877 members

General Questions

SilverStripe Forums » General Questions » legacydatetimefields module error in ss3

General questions about getting started with SilverStripe that don't fit in any of the categories above.

Moderators: martimiz, Sean, biapar, Willr, Ingo, swaiba, simon_w

Page: 1
Go to End
Author Topic: 210 Views
  • khanhdeux
    Avatar
    Community Member
    13 Posts

    legacydatetimefields module error in ss3 Link to this post

    Hi Team,
    I need a Datetime fields for my form but when i run dev/build i get this message
    [Strict Notice] Declaration of LegacyDateField_Disabled::Field() should be compatible with FormField::Field($properties = Array)

    Do you have the compatible version for ss3. Thanks

  • swaiba
    Avatar
    Forum Moderator
    1788 Posts

    Re: legacydatetimefields module error in ss3 Link to this post

    I'd assume that this module has no intention of supporting the old field in SS3, the comopser.json should probably have a limit of the version it could be used for

    It was made to support the date fields moving to ss2.4, no significant updates for 3 years so it is very unlikely ss3 has been considered here. Besides the date / time fields in ss3 are good

    210 Views
Page: 1
Go to Top

Want to know more about the company that brought you SilverStripe? Then check out SilverStripe.com

Comments on this website? Please give feedback.